Package com.trilead.ssh2.transport

# Class KexParameters

java.lang.Object
com.trilead.ssh2.transport.KexParameters

public class KexParameters extends Object
KexParameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`compression_algorithms_client_to_server`
`String[]`
`compression_algorithms_server_to_client`
`byte[]`
`cookie`
`String[]`
`encryption_algorithms_client_to_server`
`String[]`
`encryption_algorithms_server_to_client`
`boolean`
`first_kex_packet_follows`
`String[]`
`kex_algorithms`
`String[]`
`languages_client_to_server`
`String[]`
`languages_server_to_client`
`String[]`
`mac_algorithms_client_to_server`
`String[]`
`mac_algorithms_server_to_client`
`int`
`reserved_field1`
`String[]`
`server_host_key_algorithms`

## Constructor Summary

Constructors
Constructor
Description
`KexParameters()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cookie

public byte[] cookie

### kex_algorithms

public String[] kex_algorithms

### server_host_key_algorithms

public String[] server_host_key_algorithms

### encryption_algorithms_client_to_server

public String[] encryption_algorithms_client_to_server

### encryption_algorithms_server_to_client

public String[] encryption_algorithms_server_to_client

### mac_algorithms_client_to_server

public String[] mac_algorithms_client_to_server

### mac_algorithms_server_to_client

public String[] mac_algorithms_server_to_client

### compression_algorithms_client_to_server

public String[] compression_algorithms_client_to_server

### compression_algorithms_server_to_client

public String[] compression_algorithms_server_to_client

### languages_client_to_server

public String[] languages_client_to_server

### languages_server_to_client

public String[] languages_server_to_client

### first_kex_packet_follows

public boolean first_kex_packet_follows

### reserved_field1

public int reserved_field1

## Constructor Details

### KexParameters

public KexParameters()